Michael Cordell's Blog

Installing Rails

06 Feb 2013

#

Ruby rails install

sudo apt-get install ruby rubygems

Install rails:

gem install rails

Long wait and then this result:

Fetching: i18n-0.6.1.gem (100%) ERROR: While executing gem ... (Errno::EACCES) Permission denied - /var/lib/gems

Installing RVM per Stackoverflow answer .:

curl -L https://get.rvm.io | bash -s stable --ruby source ~/.rvm/scripts/rvm

Install dependencies:

rvm requirements

Copy the install line for ruby, in my case:

sudo apt-get --no-install-recommends install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev libgdbm-dev ncurses-dev automake libtool bison subversion pkg-config libffi-dev

Install rubygems in rvm:

rvm rubygems current

Now we can install rails:

rvm rubygems current